Update installation status

Update status after installation. An installation can be complete or incomplete.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

platform_integration_idstringRequiredformat: "id"
The ID of the platform integration
installation_idstringRequiredformat: "id"
The ID of the installation to update

Request

This endpoint expects an object.
statusenumOptional
The new status of the installation

Response

Installation updated
idstringOptionalformat: "id"
The unique identifier for the integration installation
platform_integration_idstringOptionalformat: "id"
The unique identifier for the integration
createdstringOptionalformat: "date-time"
The date and time the installation was created
updatedstringOptionalformat: "date-time"
The date and time the installation was last updated
configurationobjectOptional
The configuration settings for the integration
statusstringOptional

The current state of the integration installation (incomplete, complete)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error